from . import html_blocks
from typing import Protocol


class GeneratesHTMLFile(Protocol):
    def generateFile(self, filename: str, dirpath: str) -> None:
        raise NotImplemented


class Page:
    def __init__(self, page_title: str):
        self.title = page_title

    def generateHeader(self) -> str:
        return html_blocks.HTML_HEADER.format(page_title=self.title)
